Create Storage Integration (V2)
This operation creates a bucket storage integration after validating that the supplied credential can access the target bucket or container.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
Request body for creating an AWS storage integration. It specifies the projectId, name, regionId, and bucketName.
The ID of the project.
The name of the storage integration.
A description of the storage integration.
The ID of the region. The server uses this field to derive the cloud provider.
The bucket, container, or storage name. For Azure Blob Storage, this is the container name.
Provider-specific credential fields.
The AWS IAM role ARN.
The external ID for AWS role assumption.
The Azure storage account name.
The Azure federated identity client ID.
The Azure tenant ID.
The customer GCP project ID.
The customer-created GCP service account email that grants bucket access.
Request body for creating a GCP storage integration. It specifies the projectId, name, regionId, and bucketName.
The ID of the project.
The name of the storage integration.
A description of the storage integration.
The ID of the region. The server uses this field to derive the cloud provider.
The bucket, container, or storage name. For Azure Blob Storage, this is the container name.
Provider-specific credential fields.
The AWS IAM role ARN or Alibaba Cloud RAM role ARN.
The external ID for AWS or Alibaba Cloud role assumption.
The Azure storage account name.
The Azure federated identity client ID.
The Azure tenant ID.
The customer GCP project ID.
The customer-created GCP service account email that grants bucket access.
Request body for creating an Azure storage integration. It specifies the projectId, name, regionId, and bucketName.
The ID of the project.
The name of the storage integration.
A description of the storage integration.
The ID of the region. The server uses this field to derive the cloud provider.
The bucket, container, or storage name. For Azure Blob Storage, this is the container name.
Provider-specific credential fields.
The AWS IAM role ARN or Alibaba Cloud RAM role ARN.
The external ID for AWS or Alibaba Cloud role assumption.
The Azure storage account name.
The Azure federated identity client ID.
The Azure federated identity tenant ID.
The customer GCP project ID.
The customer-created GCP service account email that grants bucket access.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v2/storageIntegrations" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3",
"description": "S3 bucket for external tables",
"regionId": "aws-us-west-2",
"bucketName": "my-bucket",
"externalCred": {
"roleArn": "arn:aws:iam::123456789012:role/zilliz-bucket-role",
"externalId": "zilliz-external-AbCdEf12345678"
}
}'
Returns the created storage integration.
A success response.
Response code.
Returns the created storage integration.
The ID of the storage integration.
The name of the storage integration.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {
"integrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"name": "analytics-s3"
}
}